Page MenuHomePhabricator

Fix test for D77924.
ClosedPublic

Authored by enh on Aug 20 2020, 4:01 PM.

Details

Summary

The trailing 'L' was missing in the expectation.

Diff Detail

Event Timeline

enh created this revision.Aug 20 2020, 4:01 PM
Herald added a project: Restricted Project. · View Herald TranscriptAug 20 2020, 4:01 PM
Herald added a reviewer: Restricted Project. · View Herald Transcript
enh requested review of this revision.Aug 20 2020, 4:01 PM
danalbert accepted this revision.Aug 20 2020, 4:04 PM

The test got failed again. I got the following output:

ubuntu@jetson8:~$ ./t.tmp.exe
Testing 29715 symbols.
1ILeeeEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE -> <-0x1.cecececececececececececececep+11983L
Got instead: <-0x1.cecececececececececececececep+11983L>
t.tmp.exe: C:/buildbot/temp/llvm-project/libcxxabi/test/test_demangle.pass.cpp:30001: void testFPLiterals(): Assertion `false' failed.
Aborted (core dumped)

looks like it does not expect trailing >.

enh updated this revision to Diff 287062.Aug 21 2020, 10:45 AM

Address vvereschaka's comment.

enh added a comment.Aug 21 2020, 10:46 AM

The test got failed again. I got the following output:

ubuntu@jetson8:~$ ./t.tmp.exe
Testing 29715 symbols.
1ILeeeEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE -> <-0x1.cecececececececececececececep+11983L
Got instead: <-0x1.cecececececececececececececep+11983L>
t.tmp.exe: C:/buildbot/temp/llvm-project/libcxxabi/test/test_demangle.pass.cpp:30001: void testFPLiterals(): Assertion `false' failed.
Aborted (core dumped)

looks like it does not expect trailing >.

man, debugging without a working machine is hard. thanks again!

I understand, not a problem. I'm testing the updated patch.

vvereschaka accepted this revision.Aug 21 2020, 11:23 AM

It works fine now for me

Testing Time: 61.79s
  Unsupported: 12
  Passed     : 51

@enh,
may be let's commit the fix? This problem keeps the builder in red for a week already.

srhines accepted this revision.Aug 24 2020, 3:00 PM
srhines added a subscriber: srhines.

Yes, let's just submit this now. If it breaks further, then we can consider other options. I'm not sure why there is a separate libc++abi reviewer listed here.

This revision was not accepted when it landed; it landed in state Needs Review.Aug 24 2020, 3:33 PM
This revision was landed with ongoing or failed builds.
Closed by commit rG96a979c0c295: Fix test for D77924. (authored by enh). · Explain Why
This revision was automatically updated to reflect the committed changes.
enh added a comment.Aug 24 2020, 3:34 PM

sorry about the breakage... thanks for testing on real hardware!